---
icon: hand-wave
cover: .gitbook/assets/Group 3763.png
coverY: 0
layout:
  cover:
    visible: true
    size: full
  title:
    visible: true
  description:
    visible: false
  tableOfContents:
    visible: true
  outline:
    visible: true
  pagination:
    visible: true
---

# Welcome to Uptime Manager

BlueWave Uptime Manager is an open-source server monitoring application used to track the operational status and performance of servers and websites.

It regularly checks whether a server/website is accessible and performs optimally, providing real-time alerts and reports on the monitored services' availability, downtime, and response time.

## Demo

We have a [demo](https://uptime-demo.bluewavelabs.ca/) where you can test how the Uptime Manager works. The username is [uptimedemo@demo.com](mailto:uptimedemo@demo.com) and the password is Demouser1!

## Questions & ideas

If you have a question, head over to GitHub's [discussions](https://github.com/bluewave-labs/bluewave-uptime/discussions) page.

## Features

* Completely open source, deployable on your servers
* Website monitoring
* Port monitoring
* Ping monitoring
* Incidents at a glance
* Page speed monitoring
* E-mail notifications
* Scheduled maintenance&#x20;

## **Roadmap (short term)**

* Memory, disk and CPU monitoring
* 3rd party integrations
* DNS monitoring
* SSL monitoring

## **Roadmap (long term)**

* Status pages

## Tech stack

* [ReactJs](https://react.dev/)
* [MUI (React framework)](https://mui.com/)
* [Node.js](https://nodejs.org/en)
* [MongoDB](https://mongodb.com)
